<?php

declare(strict_types=1);

namespace App\Domain\Reader\Application\Response;

final readonly class ChapterPageResponse
{
    public function __construct(
        private string $id,
        private int $pageNumber,
        private string $base64Content,
        private string $mimeType,
        private array $dimensions
    ) {
    }

    public function getId(): string
    {
        return $this->id;
    }

    public function getPageNumber(): int
    {
        return $this->pageNumber;
    }

    public function getBase64Content(): string
    {
        return $this->base64Content;
    }

    public function getMimeType(): string
    {
        return $this->mimeType;
    }

    public function getDimensions(): array
    {
        return $this->dimensions;
    }
} 